Bug 1959673 (CVE-2021-32606)

Summary: CVE-2021-32606 kernel: isotp_setsockopt in net/can/isotp.c allows privilege escalation via use-after-free
Product: [Other] Security Response Reporter: Marian Rehak <mrehak>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: acaringi, adscvr, airlied, alciregi, bhu, blc, bmasney, brdeoliv, bskeggs, chwhite, dhoward, dvlasenk, fhrbata, fpacheco, hdegoede, hkrzesin, jarodwilson, jeremy, jforbes, jglisse, jlelli, jonathan, josef, jshortt, jstancek, jwboyer, kcarcia, kernel-maint, kernel-mgr, lgoncalv, linville, masami256, mchehab, mlangsdo, mleitner, nmurray, ptalbert, qzhao, rvrbovsk, steved, swood, walters, wcosta, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel. A use-after-free flaw in isotp_setsockopt leads to arbitrary kernel execution by overwriting the sk_error_report() pointer which can be misused in order to execute a user-controlled ROP chain to gain root privileges. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-05-13 12:05:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1959674, 1960246    
Bug Blocks: 1959675    

Description Marian Rehak 2021-05-12 05:01:13 UTC
The isotp_setsockopt in net/can/isotp.c allows a use-after-free. This leads to arbitrary kernel execution by overwriting the sk_error_report()
pointer, which can be misused in order to execute a user-controlled ROP chain to gain root privileges.

External Reference:

https://www.openwall.com/lists/oss-security/2021/05/11/16

Comment 1 Marian Rehak 2021-05-12 05:01:45 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1959674]